<?php
/*********************************************************      
程序说明：         
功能说明：E1参数配置
调用关系：调用: header.inc     
          被调用:   
变量说明：
返回值：无
作者：    
      
修改注释：      
NO.1      
姓名：            
时间：      
修改说明：      
*********************************************************/  
require("../../inc/header.inc");
$helpId = "2.1.2.2"; 
$DEBUG = 0;
$sysInfoTable = 'OMC_PUB.sysInfo';
?>
<script LANGUAGE="JavaScript">           
function openSet(oType,tNum){
	var x,y;
	x = document.body.scrollLeft;
	y = document.body.scrollTop;

	URL="./prefixEdit.php?oType="+oType+"&tNum="+tNum+"&scroll_x="+x+"&scroll_y="+y;
	var msgWindow = open(URL, 'newWin', 'toolbar=no,directories=no,menubar=no,scrollbars=yes,resizable=yes,status=yes,width=480,height=500');
	msgWindow.focus();
}

function delFirm(i){
	var delValue,x,y;
	x = document.body.scrollLeft;
	y = document.body.scrollTop;

	if(confirm('Do you want to delete the selected?')!=true){
		window.location.href='<?php echo $PHP_SELF;?>'+"?scroll_x="+x+"&scroll_y="+y;
	}else{
		window.location.href='<?php echo $PHP_SELF;?>?delete=1&delValue='+i+"&scroll_x="+x+"&scroll_y="+y;
	}
}

</script>
<?php
$sysTypeNo_0 = "111";

if($thisOmcType==10){
	$sysTypeNo_1 = "251";
}else{
	$sysTypeNo_1 = "322";
}

$db_0 = "OBJ_".$sysTypeNo_0;
$db_1 = "OBJ_".$sysTypeNo_1;

$tb_0 = "param_0";
$tb_1 = "param_1";
$tb_2 = "param_99";

$maxNum = 20;

$nPubFlag = 99;
$nSubSysParam		= 0;
$nGlobalSubSysParam = 1;
$nGlobalSysParam	= 2;

$nGetComm = 0;
$nSetComm = 3;

$nInteger = 2;
$nOctStr = 4;

$nProcFail = 0;
$nWaitProc = 1;
$nInProc   = 2;	
$nOutProc  = 3;

//Prefix assignment
$oidPas = "2.1.1"; 
$pPas = explode(".",$oidPas);
$i = 0;
$wPas = '';
while(isset($pPas[$i]))
{
	$lNum = $i+1;
	if($DEBUG) echo "<br>pPas[$i]=$pPas[$i]";
	$wPas = $wPas." AND level_$lNum = $pPas[$i] ";
	$i++;
}
//echo "<br>wPas=$wPas";
//Prefix attributes
$oidPat = "2.1.2"; 
$pPat = explode(".",$oidPat);
$i = 0;
$wPat = '';
while(isset($pPat[$i]))
{
	$lNum = $i+1;
	if($DEBUG) echo "<br>pPat[$i]=$pPat[$i]";
	$wPat = $wPat." AND level_$lNum = $pPat[$i] ";
	$i++;
}
//echo "<br>wPat=$wPat";

//Assign TG to prefix
$oidTg = "2.1.3"; 
$pTg = explode(".",$oidTg);
$i = 0;
$wTg = '';
while(isset($pTg[$i]))
{
	$lNum = $i+1;
	if($DEBUG) echo "<br>pTg[$i]=$pTg[$i]";
	$wTg = $wTg." AND level_$lNum = $pTg[$i] ";
	$i++;
}
//echo "<br>wTg=$wTg";

$wAnd = " AND level_1 = 2 AND level_2 = 1 AND (level_3 = 1 OR level_3 = 2 OR level_3 = 3) "; 

/************get default value**************/
$defSql = " SELECT initValue,level_3 FROM paramConf WHERE keyId > 0 ".$wAnd." ORDER BY level_3 ";
$defRes = @mysqli_query($pubConn,$defSql);
$defRow = @mysqli_fetch_array($defRes);
do
{
	$leve_3 = $defRow[level_3];
	$defaultValue[$leve_3] = $defRow[initValue];
	//echo "<br>defaultValue[$leve_3]=$defaultValue[$leve_3]";
}while($defRow = @mysqli_fetch_array($defRes));

	$prefixFlagArr=array(
			array('num' => '0',  'remark' => 'N', 'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'Y', 'color' => '#0000FF')
	);
	$inTonArr=array(
			array('num' => '0',  'remark' => 'Spare',		'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'SUB',		'color' => '#0000FF'),
			array('num' => '2',  'remark' => 'UNK',			'color' => '#0000FF'),
			array('num' => '3',  'remark' => 'NDD',			'color' => '#0000FF'),
			array('num' => '4',  'remark' => 'IDD',			'color' => '#0000FF'),
			array('num' => '5',  'remark' => 'Spare',		'color' => '#0000FF')
	);

	$outTonArr=array(
			array('num' => '0',  'remark' => 'Spare',		'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'SUB',		'color' => '#0000FF'),
			array('num' => '2',  'remark' => 'UNK',			'color' => '#0000FF'),
			array('num' => '3',  'remark' => 'NDD',			'color' => '#0000FF'),
			array('num' => '4',  'remark' => 'IDD',			'color' => '#0000FF'),
			array('num' => '5',  'remark' => 'Spare',		'color' => '#0000FF')
	);
	
	$cdrFlagArr=array(
			array('num' => '0',  'remark' => 'Off', 'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'On', 'color' => '#0000FF')
	);

if($DEFAULT_SYS == 'MSC'){
	$proTypeArr=array(
			array('num' => '0',  'remark' => 'Trunk',		'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'MSISDN',		'color' => '#0000FF'),
			array('num' => '2',  'remark' => 'MSRN',		'color' => '#0000FF'),
			array('num' => '3',  'remark' => 'MSC',			'color' => '#0000FF')
	);
}else{
	$proTypeArr=array(
			array('num' => '0',  'remark' => 'Trunk',		'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'PBX',		'color' => '#0000FF'),
			array('num' => '2',  'remark' => 'SUB',		'color' => '#0000FF'),
			array('num' => '3',  'remark' => '--',			'color' => '#0000FF')
	);
}
	$callTypeArr=array(
			array('num' => '0',  'remark' => 'Normal',		'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'EM',			'color' => '#0000FF'),
			array('num' => '2',  'remark' => 'MCT',			'color' => '#FF0000'),
			array('num' => '3',  'remark' => 'VMS',			'color' => '#0000FF'),
			array('num' => '4',  'remark' => 'IN',			'color' => '#0000FF')

	);

	$tgTypeArr=array(
			array('num' => '0',  'remark' => 'PSTN',		'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'HPLMN',	'color' => '#0000FF'),
			array('num' => '2',  'remark' => 'VPLMN',	'color' => '#0000FF'),
			array('num' => '3',  'remark' => 'subscriber',	'color' => '#0000FF'),
			array('num' => '4',  'remark' => '--',			'color' => '#0000FF')
	);

	$camelFlagArr=array(
			array('num' => '0',  'remark' => 'N', 'color' => '#FF0000'),
			array('num' => '1',  'remark' => 'Y', 'color' => '#0000FF')
	);

	$cliTypeArr = array(
		array('num' => '0', 'remark' => 'Sub', 'color' => '#0000FF'),
		array('num' => '1', 'remark' => 'NDD', 'color' => '#0000FF'),
		array('num' => '2', 'remark' => 'IDD', 'color' => '#0000FF'),
		array('num' => '3', 'remark' => 'UNK(local)', 'color' => '#0000FF'),
		array('num' => '4', 'remark' => 'UNK(NDD)', 'color' => '#0000FF'),
		array('num' => '5', 'remark' => 'UNK(IDD)', 'color' => '#0000FF')
	);

	
	$VoicePromptFlagArr = array(
		array('num' => '0', 'remark' => 'disable', 'color' => '#0000FF'),
		array('num' => '1', 'remark' => 'enable', 'color' => '#0000FF')
	);

//****************************************************************
//函数
//	ChComm($sysId)
//函数说明:检查命令处理结果
//	
//变量说明: 
//	无
//	
//                                                             
//返回值：$paramType
//$nSubSysParam			= 0;
//$nGlobalSubSysParam	= 1;
//$nGlobalSysParam		= 2;	
//作者：
//      
//修改注释：      
//NO.1      
//姓名：            
//时间：      
//修改说明：    
//----------------------------------------------------------

function ChComm($sysId,$chkType=1)
{     
	global $omc_db;
	global $remark,$nProcFail,$nWaitProc,$nInProc,$nOutProc;

	$commTable = "parameterComm";
	$DEBUG = 0;

	$sysIdArr = explode('_',$sysId);
	$sysTypeNo	= $sysIdArr[0];
	$sysNo		= $sysIdArr[1];
	$subSysNo	= $sysIdArr[2];
	
	if($chkType==0)
		$selComm = " SELECT commState,remark FROM $commTable WHERE sysTypeNo = '$sysTypeNo' ";
	else
		$selComm = " SELECT commState,remark FROM $commTable WHERE sysTypeNo = '$sysTypeNo' AND sysNo = '$sysNo' ";
	
	if($DEBUG)echo "<br>selComm=$selComm";
	$selRes  = @mysqli_query($pubConn,$selComm);
	$selRow  = @mysqli_fetch_array($selRes);
	echo mysqli_error($pubConn);
	do
	{
		$temCommState = $selRow[commState];
		if($selRow[remark]){
			$remark = $selRow[remark];
			//echo "<br>remark=$remark";
		}
		//echo "<br>temCommState=$temCommState";
		if($temCommState == $nWaitProc)
			return($nWaitProc);
		elseif($temCommState == $nInProc)
			return($nInProc);
		elseif($temCommState == $nOutProc)
			$commState = $nOutProc;
		else
			$commState = 0;
	}while($selRow  = @mysqli_fetch_array($selRes));

	return($commState);
}

//****************************************************************
//函数
//	从Buffer_2拷贝到$buffer_1
//函数说明:
//	
//变量说明: 
//	无
//                                                             
//返回值：$paramType
//	
//作者：
//      
//修改注释：      
//NO.1      
//姓名：            
//时间：      
//修改说明：    
//----------------------------------------------------------

function copyBuffer($buffer_1,$buffer_2,$wDef,$type='1')
{     
	global $sysTypeNo_0,$sysTypeNo_1,$db_0,$db_1,$tb_0,$tb_1,$tb_2,$wAnd;
	$DEBUG = 0;
	$addWer = "	AND (LENGTH($buffer_2) > 0) AND $buffer_2 != 'Null' AND $buffer_2 NOT LIKE 'Error%' ";

	//Attributes of TG
	if($type){
		$uTgSql = " UPDATE $tb_2 set $buffer_1=$buffer_2 WHERE subSysNo = '99' ".$wAnd.$addWer; 
	}else{
		$uTgSql = " UPDATE $tb_2 set $buffer_1=$buffer_2 WHERE subSysNo = '99' ".$wAnd.$wDef.$addWer; 
	}
	if($DEBUG) echo " <br>uTgSql=$uTgSql ";
	$uTgRes = @mysqli_query($pubConn,$uTgSql);
	echo mysqli_error($pubConn);

	if($uTgRes)
		return 1;
	else
		return 0;
}

//****************************************************************
//函数
//	get 或 set
//函数说明:
//	
//变量说明: 
//	无
//                                                             
//返回值：$commType
//	
//作者：
//      
//修改注释：      
//NO.1      
//姓名：            
//时间：      
//修改说明：    
//----------------------------------------------------------
function eSetGet($commType)
{     
	global $sysTypeNo_0,$sysTypeNo_1,$db_0,$db_1,$tb_0,$tb_1,$tb_2,$wTg,$nProcFail,$nWaitProc,$nInProc,$nOutProc;
	global $maxNum,$remark,$nGetComm,$nSetComm;
	$DEBUG = 0;

	if($commType == $nGetComm)
		$showType = "Get ";
	else
		$showType = "Set ";

	$pNext1 = 1;
	//2.1.1 Prefix assignment
	if($pNext1)
	{
		$sysId = $sysTypeNo_1."_99";
		$objIdStr = "2.1.1.*";
		$cic = sysCommSend($sysId,$commType,$objIdStr);
		//echo "<br>cic=$cic";

		$i = 0;
		while(1)
		{
			//echo "<br>i=$i";
			if($i == 0)
				echo "<br>$showType Prefix assignment&nbsp;&nbsp;";
			if($i > $maxNum){
				echo "<br><font size=\"2\" color=\"#FF0000\">Timeout</font>";
				break;
			}
			echo "<img border=\"0\" src=\"../../images/arrow.gif\" width=\"10\" height=\"10\">";
			flush();	

			$sysId = $sysTypeNo_1;
			$chkType = "0";
			$chRes=ChComm($sysId,$chkType);
			//echo "<br>chRes=$chRes";
			if($chRes == $nOutProc || $chRes == $nProcFail){
				$pNext2 = 1;
				if($chRes == $nProcFail)
					echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
				elseif($remark == 'response timeout')
					echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
				else
					echo "<br><font size=\"2\" color=\"#0000FF\">$remark</font><br>";
				break;
			}
	
			sleep(1);
			$i++;
		}
	
	}//end of $pNext1


	//2.1.2 Prefix attributes
	if($pNext2)
	{
		$sysId = $sysTypeNo_1."_99";
		//$commType = $nSetComm;
		$objIdStr = "2.1.2.*";
		$tg = sysCommSend($sysId,$commType,$objIdStr);
		//echo "<br>tg=$tg";

		$i = 0;
		while(1)
		{
			//echo "<br>i=$i";
			if($i == 0)
				echo "<br>$showType Prefix attributes&nbsp;&nbsp;";
			if($i > $maxNum){
				echo "<br><font size=\"2\" color=\"#FF0000\">Timeout</font>";
				break;
			}
			echo "<img border=\"0\" src=\"../../images/arrow.gif\" width=\"10\" height=\"10\">";
			flush();	

			$sysId = $sysTypeNo_1;
			$chkType = "0";
			$chRes=ChComm($sysId,$chkType);
			//echo "<br>chRes=$chRes";
			if($chRes == $nOutProc || $chRes == $nProcFail){
				$pNext3 = 1;
				if($chRes == $nProcFail)
					echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
				elseif($remark == 'response timeout')
					echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
				else
					echo "<br><font size=\"2\" color=\"#0000FF\">$remark</font><br>";
				break;
			}
	
			sleep(1);
			$i++;
		}
	}


	//2.1.3 Assign TG to prefix
	if($pNext3)
	{
		$sysId = $sysTypeNo_1."_99";
		//$commType = $nSetComm;
		$objIdStr = "2.1.3.*";
		$port = sysCommSend($sysId,$commType,$objIdStr);
		//echo "<br>port=$port";

		$i = 0;
		while(1)
		{
			//echo "<br>i=$i";
			if($i == 0)
				echo "<br>$showType Assign TG to prefix&nbsp;&nbsp;";
			if($i > $maxNum){
				echo "<br><font size=\"2\" color=\"#FF0000\"> Timeout</font>";
				break;
			}
			echo "<img border=\"0\" src=\"../../images/arrow.gif\" width=\"10\" height=\"10\">";
			flush();	

			$sysId = $sysTypeNo_1;
			$chkType = "0";
			$chRes=ChComm($sysId,$chkType);
			//echo "<br>chRes=$chRes";
			if($chRes == $nOutProc || $chRes == $nProcFail){
				$pNext4 = 1;
				if($chRes == $nProcFail)
					echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
				elseif($remark == 'response timeout')
					echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
				else
					echo "<br><font size=\"2\" color=\"#0000FF\">$remark</font><br>";
				break;
			}
	
			sleep(1);
			$i++;
		}
	
	}

	return 1;
}//end of function


if ($saveSys) {
	/****************copy initValue to editValue******************/
	$buffer_1 = "editValue";
	$buffer_2 = "initValue";
	$edCin=copyBuffer($buffer_1,$buffer_2,$wDef);
	if($DEBUG) echo "<br>edCin=$edCin";

	//Get the value to "readValue" buffer. 
	eSetGet($nGetComm);//get value
	/****************copy readValue to undoValue******************/
	$buffer_1 = "undoValue";
	$buffer_2 = "readValue";
	$edCin=copyBuffer($buffer_1,$buffer_2,$wDef);
	if($DEBUG) echo "<br>edCin=$edCin";

	//set editValue to system.
	eSetGet($nSetComm);
	$prefixSetFlag = 1;
	session_register("prefixSetFlag");

	//if get fail ( undoValue = NULL ) , unregister set flag.
	$where = " level_1 = 2 AND level_2 = 1 AND (level_3 = 1 OR level_3 = 2 OR level_3 = 3) ";
	$selSql	= "SELECT distinct undoValue FROM $tb_2 WHERE $where ORDER BY undoValue";
	if($DEBUG) echo "selSql(1)=$selSql,db=$db_1<br>";
	$selRes	= @mysqli_query($pubConn,$selSql);
	$selRow = mysqli_fetch_array($selRes);
	if ('' == $selRow[0]) {
		session_unregister("prefixSetFlag");
	}

	sleep(1);
	echo "<script language=\"javascript\">";
	//echo "window.location.href='$PHP_SELF';";
	echo "</script>";
}//end of set sys
elseif($readSys)
{	
	eSetGet($nGetComm);//get value

	/****************copy readValue to initValue******************/
	$buffer_1 = "initValue";
	$buffer_2 = "readValue";
	$inCre=copyBuffer($buffer_1,$buffer_2,$wDef);
	if($DEBUG) echo "<br>inCre=$inCr";

	sleep(1);
	echo "<script language=\"javascript\">";
	//echo "window.location.href='$PHP_SELF';";
	echo "</script>";
}//end of $readSys
elseif($undoSet){
	/****************copy readValue to editValue******************/
	$buffer_1 = "editValue";
	$buffer_2 = "undoValue";
	$edCin=copyBuffer($buffer_1,$buffer_2,$wDef);
	if($DEBUG) echo "<br>edCin=$edCin";
	
	if ( 1 == eSetGet($nSetComm) ) {
		$buffer_1 = "initValue";
		$buffer_2 = "undoValue";
		$edCin=copyBuffer($buffer_1,$buffer_2,$wDef);
		if($DEBUG) echo "<br>edCin=$edCin";
	}
	session_unregister("prefixSetFlag");

	sleep(1);
	echo "<script language=\"javascript\">";
	//echo "window.location.href='$PHP_SELF';";
	echo "</script>";
}
//end undoSet
elseif($saveDisk)
{
	/****************copy initValue to editValue******************/
	$buffer_1 = "editValue";
	$buffer_2 = "initValue";
	$inCed=copyBuffer($buffer_1,$buffer_2,$wDef);
	if($DEBUG) echo "<br>$inCed=$$inCed";

	if($inCed)
		echo "<br><font color=\"#0000FF\">Save success.</font>";
	else
		echo "<br><font color=\"#FF0000\">Save Failure.</font>";

	flush();
	sleep(1);
	echo "<script language=\"javascript\">";
	echo "window.location.href='$PHP_SELF';";
	echo "</script>";
}//end of $saveDisk
elseif($readDisk)
{
	/****************copy editValue to initValue******************/
	$buffer_1 = "initValue";
	$buffer_2 = "editValue";
	$loadType = 1;
	$edCin=copyBuffer($buffer_1,$buffer_2,$wDef,$loadType);
	if($DEBUG) echo "<br>edCin=$edCin";

	if($edCin)
		echo "<br><font color=\"#0000FF\">Read success.</font>";
	else
		echo "<br><font color=\"#FF0000\">Read failure.</font>";
	
	flush();
	sleep(1);
	echo "<script language=\"javascript\">";
	echo "window.location.href='$PHP_SELF';";
	echo "</script>";

}//end of $comSys
elseif($delete)
{
	$delSql_1 = " UPDATE $tb_2 set initValue = '$defaultValue[1]' WHERE subSysNo = '99' ".$wPas." AND instanceNo = $delValue ";
	//echo "<br>delSql_1=$delSql_1";
	$delRes_1 = @mysqli_query($pubConn,$delSql_1);
	
	$delSql_2 = " UPDATE $tb_2 set initValue = '$defaultValue[2]' WHERE subSysNo = '99' ".$wPat." AND instanceNo = $delValue ";
	//echo "<br>delSql_2=$delSql_2";
	$delRes_2 = @mysqli_query($pubConn,$delSql_2);
	
	$delSql_3 = " UPDATE $tb_2 set initValue = '$defaultValue[3]' WHERE subSysNo = '99' ".$wTg." AND instanceNo = $delValue ";
	//echo "<br>delSql_3=$delSql_3";
	$delRes_3 = @mysqli_query($pubConn,$delSql_3);

	echo mysqli_error($pubConn);
}
elseif($saveComm)
{
	session_unregister("prefixSetFlag");
	$temTb = ${tb_."2"};
	$updSql = " UPDATE $temTb set initValue = 'B5' WHERE subSysNo = '99' AND level_1 = '3' AND level_2 = '2' ";
	//echo "<br>updSql=$updSql";
	$updRes = @mysqli_query($pubConn,$updSql);
	//echo "<br>updRes=$updRes";
	
	if($sTimeOut)
		break;

	$sysId = $sysTypeNo_1."_99";
	$commType = $nSetComm;
	$objIdStr = "3.2.*";
	$flag = sysCommSend($sysId,$commType,$objIdStr);
	//echo "<br>flag=$flag";

	$i = 0;
	while(1)
	{
		if($i == 0)
			echo "<br>Save parameter to system";
		if($i > $maxNum){
			echo "<br><font size=\"2\" color=\"#FF0000\">Timeout</font>";
			$sTimeOut = 1;
			break;
		}
		echo "<img border=\"0\" src=\"../../images/arrow.gif\" width=\"10\" height=\"10\">";
		flush();	

		$sysId = $sysTypeNo_1;
		$chkType = "0";
		$chRes=ChComm($sysId,$chkType);
		//echo "<br>chRes=$chRes";
		if($chRes == $nOutProc || $chRes == $nProcFail){
			$pNext1 = 1;
			if($chRes == $nProcFail)
				echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
			elseif($remark == 'response timeout')
				echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
			else
				echo "<br><font size=\"2\" color=\"#0000FF\">$remark</font><br>";
			break;
		}
	
		sleep(1);
		$i++;
	}
}
elseif($resetComm)
{
	$temTb = ${tb_."2"};
	$updSql = " UPDATE $temTb set initValue = '5A' WHERE subSysNo = '99' AND level_1 = '3' AND level_2 = '2' ";
	//echo "<br>updSql=$updSql";
	$updRes = @mysqli_query($pubConn,$updSql);
	//echo "<br>updRes=$updRes";
	
	if($sTimeOut)
		break;

	$sysId = $sysTypeNo_1."_99";
	$commType = $nSetComm;
	$objIdStr = "3.2.*";
	$flag = sysCommSend($sysId,$commType,$objIdStr);
	//echo "<br>flag=$flag";

	$i = 0;
	while(1)
	{
		if($i == 0)
			echo "<br>Reset system";
		if($i > $maxNum){
			echo "<br><font size=\"2\" color=\"#FF0000\">Timeout</font>";
			$sTimeOut = 1;
			break;
		}
		echo "<img border=\"0\" src=\"../../images/arrow.gif\" width=\"10\" height=\"10\">";
		flush();	

		$sysId = $sysTypeNo_1;
		$chkType = "0";
		$chRes=ChComm($sysId,$chkType);
		//echo "<br>chRes=$chRes";
		if($chRes == $nOutProc || $chRes == $nProcFail){
			$pNext1 = 1;
			if($chRes == $nProcFail)
				echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
			elseif($remark == 'response timeout')
				echo "<br><font size=\"2\" color=\"#FF0000\">$remark</font><br>";
			else
				echo "<br><font size=\"2\" color=\"#0000FF\">$remark</font><br>";
			break;
		}
	
		sleep(1);
		$i++;
	}
}


if($readSys || $saveSys || $saveComm || $undoSet||$resetComm){
	echo "<br>";
	echo "<p align=\"left\"><a href=\"$PHP_SELF\" target=\"contents\"><img align=absBottom border=0 src=\"../../images/left.gif\" width=\"14\" height=\"14\">$strBack</a>";
	exit();
}

/**************select used E1 card*******************/
$getSql = " SELECT sysNo,subSysNo,baseStat
			FROM $sysInfoTable
			WHERE sysTypeNo='$sysTypeNo_0' AND baseStat > '0'
			ORDER BY sysNo,subSysNo
		  ";
//echo "<br>getSql=$getSql";
$getRes = @mysqli_query($pubConn,$getSql);
$getRow = @mysqli_fetch_array($getRes);
echo mysqli_error($pubConn);
do
{
	$sysNo = $getRow[sysNo];
	$subSysNo = $getRow[subSysNo];
	$cardArr[$sysNo][subSysNo] = $getRow[baseStat];

}while($getRow = @mysqli_fetch_array($getRes));




/************select value to see************/
//Attributes of TG

$andSql = " SELECT level_3,instanceNo,initValue,editValue,readValue FROM $tb_2 WHERE subSysNo = '99' ".$wAnd." ORDER BY instanceNo "; 
if($DEBUG) echo "<br>andSql=$andSql";
$andRes = @mysqli_query($pubConn,$andSql);
$andRow = @mysqli_fetch_array($andRes);
echo mysqli_error($pubConn);

do
{
	$level_3 = $andRow[level_3];
	$instanceNo = $andRow[instanceNo];
	$initValue = $andRow[initValue];
	//echo "<br>initValue=$initValue";
	
	if($initValue == $defaultValue[$level_3]){
		$andShow[$level_3][$instanceNo] = 0;
	}else{
		$andShow[$level_3][$instanceNo] = 1;
	}
	//echo "<br>andShow[$level_3][$instanceNo]={$andShow[$level_3][$instanceNo]}";
	
	if($level_3 == 1){
		$prefixNum = $initValue;
		$pNum = explode("E",$prefixNum);
		$prefixNum=$prefixArr[$instanceNo][1] = $pNum[0];
		//echo "<br>prefixArr[$instanceNo][1]={$prefixArr[$instanceNo][1]}";
	}elseif($level_3 == 2){
		$DEBUG = 0;
		$hex_0 = substr($initValue,0,2);
		if($DEBUG)echo "<br>hex_0=$hex_0";
		$bin_0 = omc_keep_length(DecBin(HexDec($hex_0)),0,8);
		if($DEBUG)echo "<br>bin_0=$bin_0";
		
		$inTon = $prefixArr[$instanceNo][2] = BinDec(substr($bin_0,4,4));
		//echo "<br>inTon=$inTon";
		
		$outTon = $prefixArr[$instanceNo][3] = BinDec(substr($bin_0,0,4));
		//echo "<br>outTon=$outTon";
		
		$hex_1 = substr($initValue,2,2);
		if($DEBUG)echo "<br>hex_1=$hex_1";
		$bin_1 = omc_keep_length(DecBin(HexDec($hex_1)),0,8);
		if($DEBUG)echo "<br>bin_1=$bin_1";
		
		$trkDelC = $prefixArr[$instanceNo][4] = BinDec(substr($bin_1,4,4));
		if($DEBUG)echo "<br>trkDelC=$trkDelC";
		
		$trkInsC = $prefixArr[$instanceNo][5] = BinDec(substr($bin_1,0,4));
		if($DEBUG)echo "<br>trkInsC=$trkInsC";
		
		$trkInsD  = substr($initValue,4,16);
		$pTrk = explode("E",$trkInsD);
		$trkInsD = $prefixArr[$instanceNo][6] = $pTrk[0];
		if($DEBUG)echo "<br>trkInsD=$trkInsD";

		$hex_6 = substr($initValue,20,2);
		if($DEBUG)echo "<br>hex_6=$hex_6";
		$bin_6 = omc_keep_length(DecBin(HexDec($hex_6)),0,8);
		if($DEBUG)	echo "<br>bin_6=$bin_6";
		
		$cdrFlag = $prefixArr[$instanceNo][7] = BinDec(substr($bin_6,7,1));
		if($DEBUG)echo "<br>cdrFlag=$cdrFlag";
		
		$proType = $prefixArr[$instanceNo][8] = BinDec(substr($bin_6,4,2));
		if($DEBUG)echo "<br>proType=$proType";

		$callType = $prefixArr[$instanceNo][9] = BinDec(substr($bin_6,1,3));
		if($DEBUG)echo "<br>callType=$callType";

		$prefixFlag = $prefixArr[$instanceNo][0] = BinDec(substr($bin_6,0,1));
		if($DEBUG)echo "<br>prefixFlag=$prefixFlag";

		$dLen = $prefixArr[$instanceNo][10] = HexDec(substr($initValue,22,2));
		if($DEBUG)echo "<br>dLen=$dLen";

		$hex_8 = substr($initValue,24,2);
		if($DEBUG)echo "<br>hex_8=$hex_8";
		$bin_8 = omc_keep_length(DecBin(HexDec($hex_8)),0,8);
		if($DEBUG)echo "<br>bin_8=$bin_8";
		
		$eDelC = $prefixArr[$instanceNo][11] = BinDec(substr($bin_8,4,4));
		if($DEBUG)echo "<br>eDelC=$eDelC";
		
		$eInsC = $prefixArr[$instanceNo][12] = BinDec(substr($bin_8,0,4));
		if($DEBUG)echo "<br>eInsC=$eInsC";

		$eInsD  = substr($initValue,26,8);
		$pTrk = explode("E",$eInsD);
		$eInsD = $prefixArr[$instanceNo][13] = $pTrk[0];
		if($DEBUG)echo "<br>eInsD=$eInsD";

		$cliType	= $prefixArr[$instanceNo][15]	= hexdec(substr($initValue,34,2));
		if($DEBUG) echo "cliType = $cliType<br>";
		
		$VoicePromptFlag= $prefixArr[$instanceNo][16]	= hexdec(substr($initValue,36,2));
		if($DEBUG)		echo "VoicePromptFlag = $VoicePromptFlag<br>";
	}else{
		$tgNum = $prefixArr[$instanceNo][14] = HexDec($initValue);
		//echo "<br>prefixArr[$instanceNo][14]={$prefixArr[$instanceNo][14]}";
	}
}while($andRow = @mysqli_fetch_array($andRes));

$wDef = " AND (";

for($i=0;$i<256;$i++)
{
	if($andShow[1][$i] > 0 || $andShow[2][$i] > 0 || $andShow[3][$i] > 0){
		$realShow[$i] = 1;
		//echo "<br>realShow[$i]=$realShow[$i]";
		$wDef = $wDef." instanceNo = $i OR ";
	}
}
$wDef = substr($wDef,0,-3);
$wDef = $wDef.")";
if(strlen($wDef) < 10){
	$wDef = ' AND instanceNo < 0 ';
}
//echo "<br>wDef=$wDef";
//$realShow[0] = "1";

$scroll_x = isset($scroll_x)?$scroll_x:'0';
$scroll_y = isset($scroll_y)?$scroll_y:'0';
echo "<body onLoad='self.scrollBy($scroll_x,$scroll_y)'>";
echo "<form method=\"POST\" name=\"confForm\" action=\"$PHP_SELF\">";
?>
<?php
echo "<table border=\"0\" width=\"100%\">";
echo "<tr>";
echo "<td width=\"50%\">";
echo "$strConfiguration > $strNetwork > $DEFAULT_SYS > $strDailingPrefix";
echo "</td>";
echo "<td width=\"50%\" align=\"right\" title=\"Help\">";
showHelp($helpId);
echo "</td>";
echo "</tr>";
echo "</table>";

?>
<br>&nbsp;
<table border="0" cellpadding="0" cellspacing="0" width="100%">           
<!--
    <tr>         
	<?php
		echo "<td width=200 valign=\"middle\"><nobr><b>System:</b>";
		echo "<input type=\"submit\" value=$strGet class=\"button\" name=\"readSys\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		echo "<input type=\"submit\" value=$strSet class=\"button\" name=\"saveSys\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		echo "<input type=\"submit\" value=$strSave class=\"button\" name=\"saveComm\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		if ( TRUE == session_is_registered("prefixSetFlag") ) {
			echo "<input type=\"submit\" value=\"Undo\" class=\"button\" name=\"undoSet\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		}else{
			echo "<input type=\"submit\" value=\"Undo\" DISABLED class=\"button\" name=\"undoSet\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		}

	?>
	</nobr>
	</td>     
	<?php
		echo "<td width=200 valign=\"middle\"><nobr><b>OMC:</b>";	
		echo "<input type=\"submit\" value=$strGet class=\"button\" name=\"readDisk\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		echo "<input type=\"submit\" value=$strSave class=\"button\" name=\"saveDisk\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
	?>
	</nobr>
	</td>    
	<td width=200 valign="middle"><nobr><b>New:</b><input type="button" value="<?php echo $strAdd; ?>" onclick="javascript:openSet(1,0);" name="add" style="left: 3; top: 2; width: 60; height: 25; position: relative">
	</nobr>
	</td>    
  </tr>          
-->
    <tr>         
	<?php
		echo "<td width=200 valign=\"middle\"><nobr><b>System:</b>";
		echo "<input type=\"submit\" value=$strGet class=\"button\" name=\"readSys\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		echo "<input type=\"submit\" value=$strSet class=\"button\" name=\"saveSys\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		if ( TRUE == session_is_registered("prefixSetFlag") ) {
			echo "<input type=\"submit\" value=\"Undo\" class=\"button\" name=\"undoSet\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		}else{
			echo "<input type=\"submit\" value=\"Undo\" DISABLED class=\"button\" name=\"undoSet\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		}

	?>
	</nobr>
	</td>     
	<?php
		echo "<td width=200 valign=\"middle\"><nobr><b>Command:</b>";	
		echo "<input type=\"submit\" value=$strSave class=\"button\" name=\"saveComm\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
		echo "<input type=\"submit\" value=$strReset class=\"button\" name=\"resetComm\" style=\"left: 1; top: 2; width: 60; height: 25; position: relative\">";
	?>
	</nobr>
	</td>    
	<td width=200 valign="middle"><nobr><b>New:</b><input type="button" value="<?php echo $strAdd; ?>" onclick="javascript:openSet(1,0);" name="add" style="left: 3; top: 2; width: 60; height: 25; position: relative">
	</nobr>
	</td>    
  </tr>          
</table>         
<p></p>
<TABLE  border="1" width="100%" cellpadding="2" cellspacing="0" bordercolor="#666666" bordercolordark="#FFFFFF" bgcolor="#FFFFFF">     
<tr bgcolor="#E6E6E6">
<td width="4%" title="">No.</td>     
<td width="6%" title="Prefix enable"><nobr>Flag</nobr></td>     
<td width="8%" title="Prefix"><nobr>Prefix</nobr</td>     
<td width="8%" title="TON incoming call"><nobr>In-TON</nobr</td> 
<td width="8%" title="TON outgoing call"><nobr>Out-TON</nobr</td>     
<td width="8%" title="Out trunk deletion count"><nobr>T-D-C</nobr</td>
<td width="8%" title="Out trunk insertion count"><nobr>T-I-C</nobr</td>     
<td width="8%" title="Out trunk inserted digits(max=8)"><nobr>T-I-D</nobr</td>
<td width="6%" title="CDR flag"><nobr>CDR</nobr</td>
<td width="8%" title="Property"><nobr>Properties</nobr</td>     
<td width="8%" title="Call type"><nobr>Call type</nobr</td>  
<td width="8%" title="Length of dialed number"><nobr>Digit-L</nobr</td>  
<td width="8%" title="E.164 International deletion count"><nobr>E-D-C</nobr</td>   
<td width="8%" title="E.164 International insertion count"><nobr>E-I-C</nobr</td>   
<td width="8%" title="E.164 International inserted digits (max=8)"><nobr>E-I-D</nobr</td>   
<td width="8%" title="Trunk group"><nobr>TG</nobr</td>   
<td width="8%" title="cli Type"><nobr>CLI</nobr</td>
<td width="8%" title="cli Type"><nobr>VoiceProFlag</nobr</td>
<td width="4%" title=""><nobr>Del</nobr</td>
</tr>
<?php
for($i=0;$i<256;$i++)
{
	$sNum = floor($i/8);
	$pNum = floor($i%8);

	if($realShow[$i]){
		if($pNum == 0 && $i > 0)
			echo "<tr bgcolor=\"#E6E6E6\">";
		else
			echo "<tr>";


		echo "<td><a href=javascript:openSet(0,$i)>$i</a></td>";
		echo "<td><nobr>{$prefixFlagArr[$prefixArr[$i][0]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][1]}&nbsp;</nobr></td>";		
		echo "<td><nobr>{$inTonArr[$prefixArr[$i][2]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$outTonArr[$prefixArr[$i][3]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][4]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][5]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][6]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$cdrFlagArr[$prefixArr[$i][7]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$proTypeArr[$prefixArr[$i][8]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$callTypeArr[$prefixArr[$i][9]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][10]}&nbsp;</nobr></td>";		
		echo "<td><nobr>{$prefixArr[$i][11]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][12]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][13]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$prefixArr[$i][14]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$cliTypeArr[$prefixArr[$i][15]][remark]}&nbsp;</nobr></td>";
		echo "<td><nobr>{$VoicePromptFlagArr[$prefixArr[$i][16]][remark]}&nbsp;</nobr></td>";
		echo "<td><input type=\"checkbox\" name=\"C$i\" value=\"ON\" onClick=\"javascript:delFirm($i)\" ></td>";
		echo "</tr>";

	}
}
echo "</table>";
echo "<input type=\"hidden\" name=\"wDef\" value=\"$wDef\">";
echo "</form>";
?>
</body>
</html>
